!pip install vlmrun
from vlmrun.client import VLMRun
from vlmrun.client.types import AgentExecutionResponse
client = VLMRun(api_key="<VLMRUN_API_KEY>")
response: AgentExecutionResponse = client.executions.get("<execution_id>")
import { VlmRun } from "vlmrun";
const client = new VlmRun({
baseURL: "https://api.vlm.run/v1",
apiKey: "<VLMRUN_API_KEY>"
});
const response = await client.executions.get("<execution_id>");
console.log(response);
{
"name": "<string>",
"usage": {
"elements_processed": 123,
"element_type": "image",
"credits_used": 123,
"steps": 123,
"message": "<string>",
"duration_seconds": 0,
"service_tier": "<string>",
"mode_multiplier": 123,
"standard_cost_dollars": 123,
"cost_dollars": 123,
"savings_dollars": 123
},
"id": "<string>",
"response": "<unknown>",
"execution_mode": "agent",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Execution by ID
Get the execution for a given execution ID.
!pip install vlmrun
from vlmrun.client import VLMRun
from vlmrun.client.types import AgentExecutionResponse
client = VLMRun(api_key="<VLMRUN_API_KEY>")
response: AgentExecutionResponse = client.executions.get("<execution_id>")
import { VlmRun } from "vlmrun";
const client = new VlmRun({
baseURL: "https://api.vlm.run/v1",
apiKey: "<VLMRUN_API_KEY>"
});
const response = await client.executions.get("<execution_id>");
console.log(response);
{
"name": "<string>",
"usage": {
"elements_processed": 123,
"element_type": "image",
"credits_used": 123,
"steps": 123,
"message": "<string>",
"duration_seconds": 0,
"service_tier": "<string>",
"mode_multiplier": 123,
"standard_cost_dollars": 123,
"cost_dollars": 123,
"savings_dollars": 123
},
"id": "<string>",
"response": "<unknown>",
"execution_mode": "agent",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}!pip install vlmrun
from vlmrun.client import VLMRun
from vlmrun.client.types import AgentExecutionResponse
client = VLMRun(api_key="<VLMRUN_API_KEY>")
response: AgentExecutionResponse = client.executions.get("<execution_id>")
import { VlmRun } from "vlmrun";
const client = new VlmRun({
baseURL: "https://api.vlm.run/v1",
apiKey: "<VLMRUN_API_KEY>"
});
const response = await client.executions.get("<execution_id>");
console.log(response);
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Response to the agent execution request.
Name of the agent
The usage metrics for the request.
Hide child attributes
Hide child attributes
Number of elements processed.
The type of element processed (e.g. image, page, video, audio).
image, page, video, audio Amount of total credits used.
Number of steps processed, in case of agentic execution.
The message from the credit usage job.
Duration of the request in seconds.
Delivery tier (standard, priority, flex).
Pricing multiplier applied to standard cost.
Pre-multiplier customer cost in USD, derived from tokens and unit rates.
Effective customer cost in USD after the service-tier multiplier.
Discount in USD when using flex (standard_cost_dollars - cost_dollars).
Unique identifier of the agent execution response.
The response from the model.
How the execution ran: program when a cached skill pipeline.py ran as fixed code (no LLM agent loop), else agent. Always agent for non-Orion-2 models.
agent, program The status of the job.
pending, enqueued, running, completed, failed, paused Date and time when the execution was created (in UTC timezone)
Date and time when the execution was completed (in UTC timezone)